// Generated by org.apache.clerezza.rdf.schemagen.SchemaGen
package org.apache.clerezza.foafssl.ontologies;

import org.apache.clerezza.rdf.core.UriRef;

public class ATOMOWL {
	// Classes

	/**
	 * comment: see §4.2.2 of rfc 4287. A Category Type

	 */
	public static final UriRef Category = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#Category");

	/**
	 * comment: see §4.1.3 in rfc 4287 One way to think of this is as a class that represents what one can get from an HTTP connection. It has a body, and a number of headers, info such as mime-type, content-lenght, etc... .

	 */
	public static final UriRef Content = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#Content");

	/**
	 * comment: see §4.1.2 of the rfc 4287 spec

	 */
	public static final UriRef Entry = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#Entry");

	/**
	 * comment: Container for feed metadata.

	 */
	public static final UriRef Feed = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#Feed");

	/**
	 * comment: Union of the Feed and Entry class. Simplifies writing the ontology.

	 */
	public static final UriRef FeedOrEntry = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#FeedOrEntry");

	/**
	 * comment: see §4.2.4 of rfc 4287 spec. Generator for the Feed. It has many properties in common with awol:Person

	 */
	public static final UriRef Generator = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#Generator");

	/**
	 * comment: see §3.1.1.2 of rfc 4287. The class of html strings

	 */
	public static final UriRef HTML = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#HTML");

	/**
	 * comment: see §4.2.7 of rfc 4287 spec. Note that the href, hreflang and lengtlength attributes of rfc 4287 have been moved to the content class and a content relation from the Link to a Content class has been made. The href is translated onto the awol:src relation of the Content class. A link is a reified relation between an entry an a content, for the purpose of adding some metadata such as a title. If it is a reified statement, it is a special type of such a statement, one that implies always the reified statement itself (see N3 rule)

	 */
	public static final UriRef Link = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#Link");

	/**
	 * comment: see §3.2 of rfc 4287 spec.

	 */
	public static final UriRef Person = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#Person");

	/**
	 * comment: see §3.1.1.1 of rfc 4287. The datatype of simple text elements. Essentially this is the class of all plain text literals.

	 */
	public static final UriRef PlainText = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#PlainText");

	/**
	 * comment: see §4.2.7.2 of rfc 4287. Relation types are registered, or can be created as described in rfc 4287. They are special types of properties that relate awol:Versions to :Contents.

	 */
	public static final UriRef RelationType = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#RelationType");

	/**
	 * comment: see §3.1 of rfc 4287. The text constructs.

	 */
	public static final UriRef TextContent = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#TextContent");

	/**
	 * comment: Metadata about the state of  a resource with given awol:id at an :updated time.

	 */
	public static final UriRef Version = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#Version");

	/**
	 * comment: see §3.1.1.3 of rfc 4287. The datatype of xhtml strings

	 */
	public static final UriRef XHTML = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#XHTML");

	/**
	 * comment: see §4.1.3.3 of rfc 4287. The datatype of xml content

	 */
	public static final UriRef XML = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#XML");

	// Properties

	/**
	 * comment: The feed aggregates this given Entry.  See §4.1.1 of rfc4287. This means that the entry does not have the feed as its source. The entry was taken from a different feed.

	 */
	public static final UriRef aggregates = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#aggregates");

	/**
	 * comment: See §4.2.1 rfc 4287 spec.

	 */
	public static final UriRef author = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#author");

	/**
	 * comment: the body of the content.

	 */
	public static final UriRef body = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#body");

	/**
	 * comment: See §4.2.2. A category with which the conainer is associated.

	 */
	public static final UriRef category = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#category");

	/**
	 * comment: The feed contains the given Entry. See §4.1.1 of rfc4287. This makes no statement about whether that Entry has the awol:Feed as its source.

	 */
	public static final UriRef contains = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#contains");

	/**
	 * comment: See §4.1.3 of rfc 4287 spec. The content of an Entry, a Link or any of the relation types that are the object of awol:rel properties

	 */
	public static final UriRef content = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#content");

	/**
	 * comment: See §4.2.3 of rfc 4287 spec. Someone who contributed to the Version.

	 */
	public static final UriRef contributor = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#contributor");

	/**
	 * comment: see §3.2.3 of rfc 4287. A mailbox of the Person

	 */
	public static final UriRef email = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#email");

	/**
	 * comment: The feed contains the given Entry and that Entry has the feed as its source. See §4.1.1 of rfc 4287. This relation is a little bit more specialised than the rfc 4287 entry element. It relates only awol:Feed objects to :Entry objects where the :Feed is a :source of the :Entry. See also the :source and :contains relations. 

	 */
	public static final UriRef entry = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#entry");

	/**
	 * comment: see §4.2.4 of rfc 4287. The generator of the object

	 */
	public static final UriRef generator = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#generator");

	/**
	 * comment: see §4.2.4 of rfc 4287. Indicates the version of the Generator

	 */
	public static final UriRef generatorVersion = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#generatorVersion");

	/**
	 * comment: see §3.1.1.2 of rfc 4287. The datatype of html text elements. It is considered to be a relation to the text.

	 */
	public static final UriRef html = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#html");

	/**
	 * comment: see 4.2.5 of rfc 4287. An icon associated with the object

	 */
	public static final UriRef icon = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#icon");

	/**
	 * comment: See §4.2.6 rfc 4287 spec. All Versions with the same id can be considered to be versions of the resource identified by the id. The id mentions the resource of which it is a representation. 

	 */
	public static final UriRef id = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#id");

	/**
	 * comment: see §4.2.2.3 of rfc 4287. A Human readable label for display.

	 */
	public static final UriRef label = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#label");

	/**
	 * comment: see §4.2.7.4 of rfc 4287. The language of the representation.

	 */
	public static final UriRef lang = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#lang");

	/**
	 * comment: see §4.2.7.6 of rfc 4287. The length in bytes of the representation.

	 */
	public static final UriRef length = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#length");

	/**
	 * comment: See §4.2.7 of rfc 4287 spec. A link associated with the container. If the link is unreified, we have a relation from the container to some resource

	 */
	public static final UriRef link = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#link");

	/**
	 * comment: see §4.2.8 of rfc 4287. An icon associated with the object

	 */
	public static final UriRef logo = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#logo");

	/**
	 * comment: see §4.2.4 of rfc 4287. A name for the Generator. 
comment: see §3.2.1 of rfc 4287. A human readable name for the Person.

	 */
	public static final UriRef name = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#name");

	/**
	 * comment: See §4.2.9 of rfc 4287 spec. A date associated with an event early in the lifecyle of the subject.

	 */
	public static final UriRef published = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#published");

	/**
	 * comment: see §4.2.7.2 of rfc 4287. The relationship type. The relationship type is a property that relates a awol:Version to a :Content 

	 */
	public static final UriRef rel = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#rel");

	/**
	 * comment: See §4.2.10 of rfc 4287 spec. Rights held over a Version.

	 */
	public static final UriRef rights = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#rights");

	/**
	 * comment: see §4.2.2.2 of rfc 4287. Identifies a categorization scheme.

	 */
	public static final UriRef scheme = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#scheme");

	/**
	 * comment: See §4.2.11 of rfc 4287 spec. The source feed where the entry was found

	 */
	public static final UriRef source = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#source");

	/**
	 * comment: a source of the representation

	 */
	public static final UriRef src = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#src");

	/**
	 * comment: the inverse of the awol:link relation, not specified in rfc 4287, but added here for convenience

	 */
	public static final UriRef subject = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#subject");

	/**
	 * comment: see §4.2.12 of rfc 4287. Subtitle of the feed.

	 */
	public static final UriRef subtitle = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#subtitle");

	/**
	 * comment: See §4.2.13 of rfc 4287 spec. A summary of the content of the Entry

	 */
	public static final UriRef summary = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#summary");

	/**
	 * comment: see §4.2.2.1 of rfc 4287. Identifies the category

	 */
	public static final UriRef term = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#term");

	/**
	 * comment: see §3.1.1.1 of rfc 4287. The datatype of xhtml text elements

	 */
	public static final UriRef text = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#text");

	/**
	 * comment: See §4.2.14. Title of a container

	 */
	public static final UriRef title = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#title");

	/**
	 * comment: the object of a link. We interpret here a Link to be a re-ified relation from a awol:Version to a :Content object. The relation is re-ified in order to add a :title relation to the link. This can probably usually be safely ignored

	 */
	public static final UriRef to = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#to");

	/**
	 * comment: see §4.2.7.3 of rfc 4287. The mime type of the representation.

	 */
	public static final UriRef type = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#type");

	/**
	 * comment: See §4.2.15 of rfc 4287 spec. Indicates the most recent instant in time when a resource with the given id was modified in a way the publisher considers significant. Therefore, not all modifications necessarily result in a changed atom:updated value.

	 */
	public static final UriRef updated = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#updated");

	/**
	 * comment: see §4.2.4 of rfc 4287. A uri associated the Generator
comment: see §3.2.2 of rfc 4287. A uri associated the Person

	 */
	public static final UriRef uri = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#uri");

	/**
	 * comment: see §3.1.1.3 of rfc 4287. The datatype of xhtml text elements.

	 */
	public static final UriRef xhtml = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#xhtml");

	/**
	 * comment: see §4.1.3.1 of rfc 4287. Relates an awol:XML object to its content.

	 */
	public static final UriRef xml = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#xml");

	// Properties

	/**
	 * comment: A comment by Reto Bachmann-Gmuer

	 */
	public static final UriRef retosNote = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#retosNote");

	/**
	 * comment: A comment by Elias Torres

	 */
	public static final UriRef eliasNote = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#eliasNote");

	/**
	 * comment: A comment by Danny Ayers

	 */
	public static final UriRef dannyNote = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/#dannyNote");

	/**
	 * comment: The AtomOWL ontology is inspired from the work done by the atom working group. This ontology is working off the rfc 4287 published among othe places at http://www.atompub.org/rfc4287.html . The AtomOWL ontology uses as much as possible the same terms as the format there to make the relation easy to understand. The AtomOWL name space is slightly different from the atom namespace [see post http://www.imc.org/atom-syntax/mail-archive/msg16476.html]. But this is a good thing as it helps distinguish the ontology from the rfc 4287 serialisation.

	 */
	public static final UriRef THIS_ONTOLOGY = new UriRef("http://bblfish.net/work/atom-owl/2006-06-06/");
}
