// Generated by org.apache.clerezza.rdf.schemagen.SchemaGen
package org.apache.clerezza.foafssl.ontologies;

import org.apache.clerezza.rdf.core.UriRef;

public class EARL {
	// Classes

	/**
	 * comment: a statement that embodies the results of a test

	 */
	public static final UriRef Assertion = new UriRef("http://www.w3.org/ns/earl#Assertion");

	/**
	 * comment: an entity such as a person, a software tool, an organization, or any other grouping that carries out a test collectively

	 */
	public static final UriRef Assertor = new UriRef("http://www.w3.org/ns/earl#Assertor");

	/**
	 * comment: it is unclear if the subject passed or failed the test

	 */
	public static final UriRef CannotTell = new UriRef("http://www.w3.org/ns/earl#CannotTell");

	/**
	 * comment: the subject failed the test

	 */
	public static final UriRef Fail = new UriRef("http://www.w3.org/ns/earl#Fail");

	/**
	 * comment: the test is not applicable to the subject

	 */
	public static final UriRef NotApplicable = new UriRef("http://www.w3.org/ns/earl#NotApplicable");

	/**
	 * comment: the test has not been carried out

	 */
	public static final UriRef NotTested = new UriRef("http://www.w3.org/ns/earl#NotTested");

	/**
	 * comment: a discrete value that describes a resulting condition from carrying out the test

	 */
	public static final UriRef OutcomeValue = new UriRef("http://www.w3.org/ns/earl#OutcomeValue");

	/**
	 * comment: the subject passed the test

	 */
	public static final UriRef Pass = new UriRef("http://www.w3.org/ns/earl#Pass");

	/**
	 * comment: any piece of software such as an authoring tool, browser, or evaluation tool

	 */
	public static final UriRef Software = new UriRef("http://www.w3.org/ns/earl#Software");

	/**
	 * comment: an atomic test, usually one that is a partial test for a requirement

	 */
	public static final UriRef TestCase = new UriRef("http://www.w3.org/ns/earl#TestCase");

	/**
	 * comment: a testable statement, usually one that can be passed or failed

	 */
	public static final UriRef TestCriterion = new UriRef("http://www.w3.org/ns/earl#TestCriterion");

	/**
	 * comment: describes how a test was carried out

	 */
	public static final UriRef TestMode = new UriRef("http://www.w3.org/ns/earl#TestMode");

	/**
	 * comment: a higher-level requirement that is tested by executing one or more sub-tests

	 */
	public static final UriRef TestRequirement = new UriRef("http://www.w3.org/ns/earl#TestRequirement");

	/**
	 * comment: the actual result of performing the test

	 */
	public static final UriRef TestResult = new UriRef("http://www.w3.org/ns/earl#TestResult");

	/**
	 * comment: the class of things that have been tested against some test criterion

	 */
	public static final UriRef TestSubject = new UriRef("http://www.w3.org/ns/earl#TestSubject");

	// Properties

	/**
	 * comment: assertor of an assertion

	 */
	public static final UriRef assertedBy = new UriRef("http://www.w3.org/ns/earl#assertedBy");

	/**
	 * comment: additional warnings or error messages in a human-readable form

	 */
	public static final UriRef info = new UriRef("http://www.w3.org/ns/earl#info");

	/**
	 * comment: assertor that is primarily responsible for performing the test

	 */
	public static final UriRef mainAssertor = new UriRef("http://www.w3.org/ns/earl#mainAssertor");

	/**
	 * comment: mode in which the test was performed

	 */
	public static final UriRef mode = new UriRef("http://www.w3.org/ns/earl#mode");

	/**
	 * comment: outcome of performing the test

	 */
	public static final UriRef outcome = new UriRef("http://www.w3.org/ns/earl#outcome");

	/**
	 * comment: location within a test subject that are most relevant to a test result

	 */
	public static final UriRef pointer = new UriRef("http://www.w3.org/ns/earl#pointer");

	/**
	 * comment: result of an assertion

	 */
	public static final UriRef result = new UriRef("http://www.w3.org/ns/earl#result");

	/**
	 * comment: test subject of an assertion

	 */
	public static final UriRef subject = new UriRef("http://www.w3.org/ns/earl#subject");

	/**
	 * comment: test criterion of an assertion

	 */
	public static final UriRef test = new UriRef("http://www.w3.org/ns/earl#test");

	// Properties

	/**
	 * 
	 */
	public static final UriRef manual = new UriRef("http://www.w3.org/ns/earl#manual");

	/**
	 * 
	 */
	public static final UriRef semiAuto = new UriRef("http://www.w3.org/ns/earl#semiAuto");

	/**
	 * 
	 */
	public static final UriRef passed = new UriRef("http://www.w3.org/ns/earl#passed");

	/**
	 * 
	 */
	public static final UriRef unknownMode = new UriRef("http://www.w3.org/ns/earl#unknownMode");

	/**
	 * comment: Evaluation And Report Language (EARL) 1.0 Schema as defined by http://www.w3.org/TR/EARL10-Schema/

	 */
	public static final UriRef THIS_ONTOLOGY = new UriRef("http://www.w3.org/ns/earl#");

	/**
	 * 
	 */
	public static final UriRef undisclosed = new UriRef("http://www.w3.org/ns/earl#undisclosed");

	/**
	 * 
	 */
	public static final UriRef failed = new UriRef("http://www.w3.org/ns/earl#failed");

	/**
	 * 
	 */
	public static final UriRef inapplicable = new UriRef("http://www.w3.org/ns/earl#inapplicable");

	/**
	 * 
	 */
	public static final UriRef cantTell = new UriRef("http://www.w3.org/ns/earl#cantTell");

	/**
	 * 
	 */
	public static final UriRef untested = new UriRef("http://www.w3.org/ns/earl#untested");

	/**
	 * 
	 */
	public static final UriRef automatic = new UriRef("http://www.w3.org/ns/earl#automatic");
}
