// Generated by org.apache.clerezza.rdf.schemagen.SchemaGen
package org.apache.clerezza.foafssl.ontologies;

import org.apache.clerezza.rdf.core.UriRef;

public class RSA {
	// Classes

	/**
	 * comment: 
    The union of the public and private components of an RSAKey.
    Usually those pieces are not kept together
    

	 */
	public static final UriRef RSAKey = new UriRef("http://www.w3.org/ns/auth/rsa#RSAKey");

	/**
	 * comment: 
    A Private Key in the RSA framework 
    

	 */
	public static final UriRef RSAPrivateKey = new UriRef("http://www.w3.org/ns/auth/rsa#RSAPrivateKey");

	/**
	 * comment: 
    The RSA public key.  Padded message m are encrypted by applying the function
      modulus(power(m,exponent),modulus)
    

	 */
	public static final UriRef RSAPublicKey = new UriRef("http://www.w3.org/ns/auth/rsa#RSAPublicKey");

	// Properties

	/**
	 * comment:     
   The modulus of an RSA public and private key. 
   This is defined as n = p*q
   

	 */
	public static final UriRef modulus = new UriRef("http://www.w3.org/ns/auth/rsa#modulus");

	/**
	 * comment: 
       The exponent used to decrypt the message
       calculated as 
          public_exponent*private_exponent ≡ 1 modulo totient(p*q)
       The private exponent is often named 'd'
    

	 */
	public static final UriRef private_exponent = new UriRef("http://www.w3.org/ns/auth/rsa#private_exponent");

	/**
	 * comment: 
       The exponent used to encrypt the message. Number chosen between
       1 and the totient(p*q). Often named 'e' .
    

	 */
	public static final UriRef public_exponent = new UriRef("http://www.w3.org/ns/auth/rsa#public_exponent");

	// Properties

	/**
	 * comment: ontology for the RSA public private keys 

	 */
	public static final UriRef rsa = new UriRef("http://www.w3.org/ns/auth/rsa");
}
